zenilib: zenilib/jni/external/freetype2/src/base/ftsystem.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftsystem.c File Reference
`#include <ft2build.h>`
`#include <FT_CONFIG_CONFIG_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_SYSTEM_H>`
`#include <FT_ERRORS_H>`
`#include <FT_TYPES_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_io
#define | STREAM_FILE(stream) ( (FT_FILE*)stream->descriptor.pointer )

## Functions

| ft_alloc (FT_Memory memory, long size)
| ft_ansi_stream_close (FT_Stream stream)
| ft_ansi_stream_io (FT_Stream stream, unsigned long offset, unsigned char *buffer, unsigned long count)
| FT_Done_Memory (FT_Memory memory)
| ft_free (FT_Memory memory, void *block)
| FT_New_Memory (void)
| ft_realloc (FT_Memory memory, long cur_size, long new_size, void *block)
| FT_Stream_Open (FT_Stream stream, const char *filepathname)

## Macro Definition Documentation

#define FT_COMPONENT trace_io

Definition at line 149 of file ftsystem.c.

#define STREAM_FILE | ( |  | stream | ) | ( (FT_FILE*)stream->descriptor.pointer )

Definition at line 153 of file ftsystem.c.

Referenced by ft_ansi_stream_close(), and ft_ansi_stream_io().

## Function Documentation

ft_alloc | ( | FT_Memory | memory,
|  | long | size
| ) |  |

Definition at line 69 of file ftsystem.c.

References ft_smalloc, and FT_UNUSED.

Referenced by FT_New_Memory().

ft_ansi_stream_close | ( | FT_Stream | stream | ) |

Definition at line 168 of file ftsystem.c.

References ft_fclose, NULL, and STREAM_FILE.

Referenced by FT_Stream_Open().

ft_ansi_stream_io | ( | FT_Stream | stream,
|  | unsigned long | offset,
|  | unsigned char * | buffer,
|  | unsigned long | count
| ) |  |

Definition at line 201 of file ftsystem.c.

References file, FT_FILE, ft_fread, ft_fseek, SEEK_SET, and STREAM_FILE.

Referenced by FT_Stream_Open().

FT_Done_Memory | ( | FT_Memory | memory | ) |

Definition at line 311 of file ftsystem.c.

References ft_sfree.

Referenced by FT_Done_FreeType(), and FT_Init_FreeType().

ft_free | ( | FT_Memory | memory,
|  | void * | block
| ) |  |

Definition at line 125 of file ftsystem.c.

References ft_sfree, and FT_UNUSED.

Referenced by FT_New_Memory().

FT_New_Memory | ( | void |  | ) |

Definition at line 287 of file ftsystem.c.

References ft_alloc(), ft_free(), ft_realloc(), and ft_smalloc.

Referenced by FT_Init_FreeType().

ft_realloc | ( | FT_Memory | memory,
|  | long | cur_size,
|  | long | new_size,
|  | void * | block
| ) |  |

Definition at line 99 of file ftsystem.c.

References ft_srealloc, and FT_UNUSED.

Referenced by FT_New_Memory().

FT_Stream_Open | ( | FT_Stream | stream,
|  | const char * | filepathname
| ) |  |

Definition at line 224 of file ftsystem.c.

References file, ft_ansi_stream_close(), ft_ansi_stream_io(), FT_Err_Ok, FT_ERROR, ft_fclose, FT_FILE, ft_fopen, ft_fseek, ft_ftell, FT_TRACE1, NULL, SEEK_END, and SEEK_SET.

Referenced by FT_Stream_New(), and main().